%% Glavni fajl za pokretanje simulacija i poređenje talasnih oblika

% Priprema okruženja

clear variables
close all
clc

% Pokretanje prve simulacije i skladištenje rezultata

Output = sim('zadatak_6_4a.slx') ; 
Time_1 = Output.Voltage(:,1) ;
Voltage_1 = Output.Voltage(:,2) ; 

% Pokretanje druge simulacije i skladištenje rezultata

Output = sim('zadatak_6_4b.slx') ; 
Time_2 = Output.Voltage(:,1) ;
Voltage_2 = Output.Voltage(:,2) ; 

% Prikazivanje rezultata

figure
plot(Time_1,Voltage_1,Time_2,Voltage_2,'LineWidth',1.5)
xlabel('Vrijeme [s]')
ylabel('Napon [r.j.]')
box on
grid on
legend('PI šema dalekovoda','Model voda sa distribuiranim parametrima',...
    'Location','Best')